Package ru.bitel.bgbilling.kernel.contract.status.common.bean

# Class ContractStatusLog

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.status.common.bean.ContractStatusLog

All Implemented Interfaces:
  `Serializable`, `Idable`

public class ContractStatusLog extends Id

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractStatusLog.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractStatusLog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractStatusLog.Builder`
  `builder()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Date`
  `getDate()`
  `Date`
  `getDate1()`
  `Date`
  `getDate2()`
  `int`
  `getObjectId()`
  `int`
  `getStatus()`
  `int`
  `getUserId()`
  `void`
  `setComment(String comment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDate(Date date)`
  `void`
  `setDate1(Date date1)`
  `void`
  `setDate2(Date date2)`
  `void`
  `setObjectId(int objectId)`
  `void`
  `setStatus(int status)`
  `void`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractStatusLog

    public ContractStatusLog()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getObjectId

    public int getObjectId()

  - ### setObjectId

    public void setObjectId(int objectId)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getDate2

    public Date getDate2()

  - ### setDate2

    public void setDate2(Date date2)

  - ### getDate1

    public Date getDate1()

  - ### setDate1

    public void setDate1(Date date1)

  - ### builder

    public static ContractStatusLog.Builder builder()